<?php

/**
 * Subclass for representing a row from the 'node__home' table.
 *
 * @package lib.model
 */
class NodeHome extends BaseNodeHome implements ICatalyzLayoutProvider {
    /**
     * NodeHome::getAvailableLayouts()
     *
     * @return
     */
    public function getAvailableLayouts()
    {
        return array('katao/default');
    }

    public function updateFromRequest($node, $request, $previewMode)
    {
        $culture = $request->getParameter('culture');
        $this->setEditoTitle($request->getParameter('edito_title'), $culture);
        $this->setEditoContent($request->getParameter('edito_content'), $culture);
    }
    public function getValidSubClasses()
    {
        $result = array();
        return $result;
    }
    static function getNodeClassCaption()
    {
        return 'Page d\'accueil';
    }
    public static function getNodeClassDescription()
    {
        return '';
    }
    static public function getLayoutAreas()
    {
        return array();
    }
}